Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1735905 - json_diff: FTBFS in Fedora rawhide/f31
Summary: json_diff: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: json_diff
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 13:10 UTC by Fedora Release Engineering
Modified: 2019-08-15 18:51 UTC (History)
1 user (show)

Fixed In Version: json_diff-1.4.1-5.fc30 json_diff-1.4.1-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-15 18:09:36 UTC
Type: ---


Attachments (Terms of Use)
build.log (11.21 KB, text/plain)
2019-08-01 13:11 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 13:11 UTC, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2019-08-01 13:11 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 13:10:59 UTC
json_diff failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36634433


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix json_diff at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
json_diff will be orphaned. Before branching of Fedora 32,
json_diff will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 13:11:01 UTC
Created attachment 1597219 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 13:11:03 UTC
Created attachment 1597220 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 13:11:04 UTC
Created attachment 1597221 [details]
state.log

Comment 4 Fedora Update System 2019-08-06 15:54:05 UTC
FEDORA-2019-b825247b25 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b825247b25

Comment 5 Fedora Update System 2019-08-06 15:54:09 UTC
FEDORA-2019-a3215c1a53 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3215c1a53

Comment 6 Fedora Update System 2019-08-07 01:07:51 UTC
json_diff-1.4.1-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b825247b25

Comment 7 Fedora Update System 2019-08-07 03:49:06 UTC
json_diff-1.4.1-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3215c1a53

Comment 8 Ben Cotton 2019-08-13 16:54:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 9 Ben Cotton 2019-08-13 17:35:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 10 Fedora Update System 2019-08-15 18:09:36 UTC
json_diff-1.4.1-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-08-15 18:51:41 UTC
json_diff-1.4.1-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.